API Reference / V2 Webhooks Rotate a webhook signing secret Creates a new signing secret version for the endpoint and returns the new secret. Send the current revision in a strong If-Match header and an Idempotency-Key header. A retry with the same key returns the same secret.
POST /api/v2/developer/apps/{appId}/webhook-endpoints/{endpointId}/rotate-secret
Parameters # Property Type Location Description appIdstringRequired path- endpointIdstringRequired path- x-request-idstringheader- if-matchstringRequired header- idempotency-keystringRequired header-
Request # curl --request POST 'https://strave.gg/api/v2/developer/apps/APP_ID/webhook-endpoints/ENDPOINT_ID/rotate-secret' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ endpointobjectRequired - └ idstringRequired - └ applicationIdstringRequired - └ namestringRequired - └ descriptionstring | nullRequired - └ urlstringRequired - └ subscribedEventsstring[]Required - └ statusstringRequired - └ revisionintegerRequired - └ createdAtstringRequired - └ updatedAtstringRequired - └ secretstringRequired -